{combine_css path=$ADMINTOOLS_PATH|cat:'template/style.css'}
{combine_css path='admin/themes/default/fontello/css/fontello.css'}
{combine_css path=$ADMINTOOLS_PATH|cat:'template/fontello/css/fontello-ato.css'}

{if isset($ato.QUICK_EDIT)}
  {*<!-- colorbox -->*}
  {combine_script id='jquery.colorbox' load='footer' require='jquery' path='themes/default/js/plugins/jquery.colorbox.min.js'}
  {combine_css id='colorbox' path='themes/default/js/plugins/colorbox/style2/colorbox.css'}

  {*<!-- tokeninput -->*}
  {combine_script id='jquery.tokeninput' load='footer' require='jquery' path='themes/default/js/plugins/jquery.tokeninput.js'}
  {combine_css path='themes/default/js/plugins/jquery.tokeninput.css'}

  {*<!-- datepicker -->*}
  {combine_script id='jquery.ui.datepicker' load='footer' path='themes/default/js/ui/jquery.ui.datepicker.js'}

  {assign var=datepicker_language value='themes/default/js/ui/i18n/jquery.ui.datepicker-'|cat:$lang_info.code|cat:'.js'}
  {if 'PHPWG_ROOT_PATH'|@constant|@cat:$datepicker_language|@file_exists}
  {combine_script id='jquery.ui.datepicker'|cat:$lang_info.code load='footer' path=$datepicker_language}
  {/if}

  {combine_css path='themes/default/js/ui/theme/jquery.ui.core.css'}
  {combine_css path='themes/default/js/ui/theme/jquery.ui.theme.css'}
  {combine_css path='themes/default/js/ui/theme/jquery.ui.datepicker.css'}
{/if}


<div id="ato_header_closed"><a href="#" class="icon-tools"></a></div>

<div id="ato_header">
  <ul id="ato_header_root">
    <li><a href="#" class="icon-ato-cancel close-panel"></a></li>
    <li class="parent"><a href="#" class="icon-menu">{'Admin panel'|translate}</a>
      <ul>
        <li><a class="icon-picture" href="{$ato.U_SITE_ADMIN}batch_manager">{'Photos'|translate}</a></li>
        <li><a class="icon-sitemap" href="{$ato.U_SITE_ADMIN}cat_list">{'Albums'|translate}</a></li>
        <li><a class="icon-users" href="{$ato.U_SITE_ADMIN}user_list">{'Users'|translate}</a></li>
        <li><a class="icon-puzzle" href="{$ato.U_SITE_ADMIN}plugins">{'Plugins'|translate}</a></li>
        <li><a class="icon-wrench" href="{$ato.U_SITE_ADMIN}maintenance">{'Tools'|translate}</a></li>
        <li><a class="icon-cog" href="{$ato.U_SITE_ADMIN}configuration">{'Options'|translate}</a></li>
      </ul>
    </li>
  {if isset($ato.U_EDIT)}
    <li class="parent"><a href="#" class="icon-pencil">{'Edit'|translate}</a>
      <ul>
        <li><a href="#ato_quick_edit" class="icon-ato-flash edit-quick">{'Quick edit'|translate}</a></li>
        <li><a class="icon-ato-doc-text-inv" href="{$ato.U_EDIT}">{'Properties page'|translate}</a></li>
      </ul>
    </li>
  {/if}
  {if isset($ato.U_SET_REPRESENTATIVE)}
    <li {if $ato.IS_REPRESENTATIVE}class="disabled"{/if}><a class="icon-ato-trophy set-representative" href="{$ato.U_SET_REPRESENTATIVE}">{'representative'|translate|ucfirst}</a></li>
  {/if}
  {if isset($ato.U_CADDIE)}
    <li {if $ato.IS_IN_CADDIE}class="disabled"{/if}><a class="icon-ato-flag add-caddie" href="{$ato.U_CADDIE}">{'Add to caddie'|translate}</a></li>
  {/if}
  {if isset($ato.IS_CATEGORY)}
    <li><a class="icon-plus-circled" href="{$ato.U_SITE_ADMIN}photos_add&amp;album={$ato.CATEGORY_ID}">{'Add Photos'|translate}</a></li>
  {/if}
  {if isset($ato.IS_PICTURE)}
    <li><a class="icon-ato-cancel" href="{$ato.U_SELF}delete&amp;pwg_token={$ato.PWG_TOKEN}" onclick="return confirm('{'Are you sure?'|translate|escape:javascript}')">{'delete photo'|translate|ucfirst}</a></li>
  {/if}

    <li class="parent right"><a class="icon-cog-alt" href="#">{'Tools'|translate}</a>
      <ul>
        <li><label>View as</label>
          <select class="switcher" data-type="view_as">
            {html_options options=$ato.USERS selected=$ato.MULTIVIEW.view_as}
          </select>
        </li>
        <li><label>Theme</label>
          <select class="switcher" data-type="theme">
            {html_options options=$ato.THEMES selected=$ato.MULTIVIEW.theme}
          </select>
        </li>
        <li><label>Language</label>
          <select class="switcher" data-type="lang">
            {html_options options=$ato.LANGS selected=$ato.MULTIVIEW.lang}
          </select>
        </li>
        <li><a class="icon-ato-check{if !$ato.MULTIVIEW.show_queries}-empty{/if}" href="{$ato.U_SELF}show_queries={(int)!$ato.MULTIVIEW.show_queries}">{'Show SQL queries'|translate}</a></li>
        <li><a class="icon-ato-check{if !$ato.MULTIVIEW.debug_l10n}-empty{/if}" href="{$ato.U_SELF}debug_l10n={(int)!$ato.MULTIVIEW.debug_l10n}">{'Debug languages'|translate}</a></li>
        <li><a class="icon-ato-check{if !$ato.MULTIVIEW.debug_template}-empty{/if}" href="{$ato.U_SELF}debug_template={(int)!$ato.MULTIVIEW.debug_template}">{'Debug template'|translate}</a></li>
        <li><a class="icon-ato-check{if !$ato.MULTIVIEW.template_combine_files}-empty{/if}" href="{$ato.U_SELF}template_combine_files={(int)!$ato.MULTIVIEW.template_combine_files}">{'Combine JS&amp;CSS'|translate}</a></li>
        <li><a class="icon-ato-check{if $ato.MULTIVIEW.no_history}-empty{/if}" href="{$ato.U_SELF}no_history={(int)!$ato.MULTIVIEW.no_history}">{'Save visit in history'|translate}</a></li>
        <li><a class="icon-ato-null" href="{$ato.U_SELF}purge_template=1">{'Purge compiled templates'|translate}</a></li>
      </ul>
    </li>
  {if $ato.USER.id != $ato.MULTIVIEW.view_as}
    <li class="right">
      &nbsp;&nbsp;{'Logged as <b>%s</b>, viewing as <b>%s</b>.'|translate:$ato.USER.username:$ato.CURRENT_USERNAME}
      <a href="{$ato.U_SELF}view_as={$ato.USER.id}">{'Revert'|translate}</a>
    </li>
  {/if}
  </ul>
</div>

{if isset($ato.QUICK_EDIT)}
<div style="display:none;">
  <div id="ato_quick_edit">
    <form method="post" action="{$ato.U_SELF}">
      <fieldset class="left">
        <img src="{$current.derivatives.square->get_url()}" width="100" height="100">
        <br><input type="submit" value="{'Save'|translate}">
        <br><a href="#" class="icon-ato-cancel close-edit">{'Cancel'|translate}</a>
      </fieldset>

      <fieldset class="main">
        <label for="quick_edit_name">{'Name'|translate}</label>
        <input type="text" name="name" id="quick_edit_name" value="{$ato.QUICK_EDIT.name|escape:html}">

        <label for="quick_edit_author">{'Author'|translate}</label>
        <input type="text" name="author" id="quick_edit_author" value="{$ato.QUICK_EDIT.author|escape:html}">


        <label for="quick_edit_date_creation">{'Creation date'|translate}</label>
        <input type="text" name="date_creation" id="quick_edit_date_creation" class="datepicker" value="{$ato.QUICK_EDIT.date_creation}">
        <input type="hidden" name="date_creation_time" value="{$ato.QUICK_EDIT.date_creation_time}">

        <label for="quick_edit_tags">{'Tags'|translate}</label>
        <select name="tags" id="quick_edit_tags" class="tags">
        {foreach from=$ato.QUICK_EDIT.tag_selection item=tag}
          <option value="{$tag.id}" class="selected">{$tag.name}</option>
        {/foreach}
        </select>

        <label for="quick_edit_comment">{'Description'|translate}</label>
        <textarea name="comment" id="quick_edit_comment">{$ato.QUICK_EDIT.comment}</textarea>

        <label for="quick_edit_level">{'Who can see this photo?'|@translate}</label>
        <select name="level" size="1">
          {html_options options=$available_permission_levels selected=$ato.QUICK_EDIT.level}
        </select>
      </fieldset>

      <input type="hidden" name="action" value="quick_edit">
    </form>
  </div>
</div>
{/if}

{footer_script require='jquery'}
(function($){
  var $ato = $('#ato_header'),
      $ato_closed = $('#ato_header_closed'),
      ato_height = 28,
      urlWS = '{$ROOT_URL}ws.php?format=json&method=';

  $('body').prepend($ato);

  if (window.localStorage.ato_panel_open == null) {
    window.localStorage.ato_panel_open = "true";
  }

  if (window.localStorage.ato_panel_open == "true") {
    $ato.show();
    $('body').css({ldelim}'margin-top': '+='+ato_height});
  }
  else {
    $ato_closed.show();
  }

{*<!-- sub menus -->*}
  $ato.find('.parent').on({
    'click': function(){
      $(this).find('ul').toggle();
    },
    'mouseleave': function(e) {
      if (e.target.tagName.toLowerCase() != "select") {
        $(this).find('ul').hide();
      }
    }
  });
  $ato.find('.parent>a').on('click', function(e) {
    e.preventDefault();
  });
  $ato.find('.parent ul').on('mouseleave', function(e) {
    if (e.target.tagName.toLowerCase() != "select") {
      $(this).hide();
    }
  });

{*<!-- select boxes -->*}
  $ato.find('.switcher').on({
    'change': function() {
      window.location.href = '{$ato.U_SELF}'+ $(this).data('type') +'='+ $(this).val();
    },
    'click': function(e) {
      e.stopPropagation();
    }
  });

{*<!-- toggle toolbar -->*}
  $ato.find('.close-panel').on('click', function(e) {
    $ato.slideUp();
    $ato_closed.slideDown();
    $('body').animate({ldelim}'margin-top': '-='+ato_height});

    window.localStorage.ato_panel_open = "false";
    e.preventDefault();
  });

  $ato_closed.on('click', function(e) {
    $ato.slideDown();
    $ato_closed.slideUp();
    $('body').animate({ldelim}'margin-top': '+='+ato_height});

    window.localStorage.ato_panel_open = "true";
    e.preventDefault();
  });

{*<!-- set representative -->*}
{if isset($ato.U_SET_REPRESENTATIVE)}
  $ato.find('.set-representative').on('click', function(e) {

    if (!$(this).parent().hasClass('disabled')) {
      $(this).parent().addClass('disabled')

      $.ajax({
        method: 'POST',
        url: urlWS + 'pwg.categories.setRepresentative',
        dataType: 'json',
        data: {
          image_id: {$current.id},
          category_id: {$ato.CATEGORY_ID}
        },
        success: function() {
          alert('ok');
        },
        fail: function(num, text) {
          alert(num + ' ' + text);
        }
      });
    }

    e.preventDefault();
  });
{/if}

{*<!-- add to caddie -->*}
{if isset($ato.U_CADDIE) and isset($ato.IS_PICTURE)}
  $ato.find('.add-caddie').on('click', function(e) {

    if (!$(this).parent().hasClass('disabled')) {
      $(this).parent().addClass('disabled')

      $.ajax({
        method: 'POST',
        url: urlWS + 'pwg.caddie.add',
        dataType: 'json',
        data: {
          image_id: {$current.id}
        },
        success: function() {
          alert('ok');
        },
        fail: function(num, text) {
          alert(num + ' ' + text);
        }
      });
    }

    e.preventDefault();
  });
{/if}

{* <!-- quick edit -->*}
{if isset($ato.QUICK_EDIT)}
  var $ato_edit = $('#ato_quick_edit');

  $ato_edit.css('background-color', $("#the_page #content").css('background-color'));

  $ato_edit.find('.close-edit').on('click', function(e) {
    $.colorbox.close()
    e.preventDefault();
  });

  $ato_edit.find('.datepicker').datepicker({
    dateFormat: 'yy-mm-dd'
  });

  $ato_edit.find('.tags').tokenInput(
    [{foreach from=$ato.QUICK_EDIT.tags item=tag name=tags}{ldelim}"name":"{$tag.name|escape:javascript}","id":"{$tag.id}"{rdelim}{if !$smarty.foreach.tags.last},{/if}{/foreach}],
    {
      hintText: '{'Type in a search term'|@translate}',
      noResultsText: '{'No results'|@translate}',
      searchingText: '{'Searching...'|@translate}',
      newText: ' ({'new'|@translate})',
      animateDropdown: false,
      preventDuplicates: true,
      allowFreeTagging: true
    }
  );

  $(".edit-quick").colorbox({
    inline: true,
    transition: 'none',
    title: '{'Quick edit'|translate|escape:javascript}',
    width: 500,
    top: 50
  });
{/if}

}(jQuery));
{/footer_script}